#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	HTML
%define		pnam	Mason-PSGIHandler
Summary:	HTML::Mason::PSGIHandler - PSGI handler for HTML::Mason
Name:		perl-HTML-Mason-PSGIHandler
Version:	0.53
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
URL:		http://search.cpan.org/dist/HTML-Mason-PSGIHandler/
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f5982567c24f86b41c4cad43fd07c16c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-CGI-PSGI
BuildRequires:	perl-HTML-Mason >= 1.12
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# provided indirectly by perl(HTML::Mason::CGIHandler)
%define		_noautoreq_perl	HTML::Mason::Request::CGI

%description
HTML::Mason::PSGIHandler is a PSGI handler for HTML::Mason. It's based
on HTML::Mason::CGIHandler and allows you to process Mason templates
on any web servers that support PSGI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/HTML/Mason/PSGIHandler.pm
%dir %{perl_vendorlib}/HTML/Mason/PSGIHandler
%{perl_vendorlib}/HTML/Mason/PSGIHandler/Streamy.pm
%{_mandir}/man3/*
%changelog
* Tue Nov 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-Mason-PSGIHandler.git;a=log;h=auto/th/perl-HTML-Mason-PSGIHandler-0.53-4

* Tue Nov 01 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> c94b951
- Rel 4

* Tue Feb 22 2022 Jan Rękorajski <baggins@pld-linux.org> 288d8c0
- Release 3 (by relup.sh)

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 0b435a2
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Oct 17 2013 Jan Rękorajski <baggins@pld-linux.org> 14e3fe8
- use new noautoreq macros
- rel 2

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 56ff380
- up to 0.53

* Mon Jul 16 2012 Jan Rękorajski <baggins@pld-linux.org> 0dbc2de
- Fix auto-reqs
Release 3

* Wed Jul 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 51bae54
- rel 2

* Wed Jul 06 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ba7af55
- initial

